Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class AuthEnvelopedDataParser

    java.lang.Object
      org.bouncycastle.asn1.cms.AuthEnvelopedDataParser

    public class AuthEnvelopedDataParser

extends java.lang.Object

Produce an object suitable for an ASN1OutputStream.

     AuthEnvelopedData ::= SEQUENCE {
       version CMSVersion,
       originatorInfo [0] IMPLICIT OriginatorInfo OPTIONAL,
       recipientInfos RecipientInfos,
       authEncryptedContentInfo EncryptedContentInfo,
       authAttrs [1] IMPLICIT AuthAttributes OPTIONAL,
       mac MessageAuthenticationCode,
       unauthAttrs [2] IMPLICIT UnauthAttributes OPTIONAL }

Constructor Summary
`AuthEnvelopedDataParser(ASN1SequenceParser seq)`

Method Summary
`ASN1SetParser` | `getAuthAttrs()`
`EncryptedContentInfoParser` | `getAuthEncryptedContentInfo()`
`ASN1OctetString` | `getMac()`
`OriginatorInfo` | `getOriginatorInfo()`
`ASN1SetParser` | `getRecipientInfos()`
`ASN1SetParser` | `getUnauthAttrs()`
`DERInteger` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthEnvelopedDataParser

    public AuthEnvelopedDataParser(ASN1SequenceParser seq)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getVersion

    public DERInteger getVersion()

### getOriginatorInfo

    public OriginatorInfo getOriginatorInfo()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRecipientInfos

    public ASN1SetParser getRecipientInfos()
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getAuthEncryptedContentInfo

    public EncryptedContentInfoParser getAuthEncryptedContentInfo()
                                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getAuthAttrs

    public ASN1SetParser getAuthAttrs()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMac

    public ASN1OctetString getMac()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getUnauthAttrs

    public ASN1SetParser getUnauthAttrs()
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD